<?php

class Sample extends ObjectModel
{

    public $id;
    public $name;
    public $code;
    public $email;
    public $title;
    public $description;

    public static $definition = [
        'table' => 'hh_sample',
        'primary' => 'id_sample',
        'multilang' => true,
        'fields' => [
            // Champs Standards
            'name' => ['type' => self::TYPE_STRING, 'validate' => 'isName', 'size' => 255, 'required' => true],
            'code' => ['type' => self::TYPE_STRING, 'validate' => 'isLinkRewrite', 'size' => 255, 'required' => true],
            'email' => ['type' => self::TYPE_STRING, 'validate' => 'isEmail', 'size' => 255, 'required' => true],
            //Champs langue
            'title' => ['type' => self::TYPE_HTML, 'lang' => true, 'validate' => 'isCleanHtml', 'size' => 255,],
            'description' => ['type' => self::TYPE_HTML, 'lang' => true, 'validate' => 'isCleanHtml',],
        ],
    ];

    /**
     * Récupération de l'identifiant par le code
     *
     * @param string $code
     * @return int
     */
    public static function getIdByCode(string $code):int
    {
        return (int) Db::getInstance()->getValue(
            "SELECT ".self::$definition['primary'].
                " FROM "._DB_PREFIX_.self::$definition['table'].
                " WHERE code ='".pSQL($code)."'"
        );
    }
}